Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044198
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2020-04-02 08:122020-05-27 15:22
ReporteralostaleView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1.2
StatusclosedFix in branchFixed in SCM revisionfe938830224a
ProjectionnoneETAnoneTarget Version3.0PR20Q1.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044198: warnings compiling with Eclipse 2020-03

DescriptionCompiling Openbravo with Eclipse 2020-03 (ecj-4.15) using default Openbravo preferences produces some warnings.
Steps To ReproduceCompile with Eclipse 2020-03 (in this case base retail pack):
     [java] ----------
     [java] 1. WARNING in /home/alostale/ws/base/ob-pg/openbravo/modules/org.openbravo.mobile.core/src/org/openbravo/mobile/core/servercontroller/MobileServerRequestExecutor.java 
(at line 140)
     [java] 	BufferedReader reader = new BufferedReader(new InputStreamReader(is, "UTF-8"));
     
[java] 	               ^^^^^^
     [java] Resource leak: 'reader' is never closed
     [java] ----------
     [java] ----------
     [java] 2. WARNING in /home/alostale/ws/base/ob-pg/openbravo/modules/org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/master/ProductProperty.java 
(at line 18)
     [java] 	import org.openbravo.retail.posterminal.master.Product;
     [java] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java] The import org.openbravo.retail.posterminal.master.Product is never used
     [java] ----------
     [java] ----------
     [java] 3. WARNING in /home/alostale/ws/base/ob-pg/openbravo/modules/org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/process/HasDeliveryServices.java 
(at line 19)
     [java] 	import org.openbravo.retail.posterminal.process.HasServices;
     [java] 	       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     [java] The import org.openbravo.retail.posterminal.process.HasServices is never used
     [java] ----------
     [java] ----------
     [java] 4. WARNING in /home/alostale/ws/base/ob-pg/openbravo/src-test/src/org/openbravo/test/webservice/BaseWSTest.java 
(at line 257)
     [java] 	BufferedReader reader = new BufferedReader(new InputStreamReader(is, "UTF-8"));
     
[java] 	               ^^^^^^
     [java] Resource leak: 'reader' is never closed
     [java] ----------
     [java] ----------
     [java] 5. WARNING in /home/alostale/ws/base/ob-pg/openbravo/src-test/src/org/openbravo/test/webservice/JSONWebServices.java 
(at line 134)
     [java] 	BufferedReader reader = new BufferedReader(new InputStreamReader(is, "UTF-8"));
     
[java] 	               ^^^^^^
     [java] Resource leak: 'reader' is never closed
     [java] ----------
     [java] 5 problems (5 warnings)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0043642 closedalostale warnings compiling with Eclipse 2020-03 

-  Notes
(0120302)
hgbot (developer)
2020-05-26 18:56

Repository: erp/backports/3.0PR20Q1.2
Changeset: fe938830224a08925717b6f71dc86a5e4c082e15
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Apr 03 13:43:26 2020 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR20Q1.2/rev/fe938830224a08925717b6f71dc86a5e4c082e15 [^]

Fixes ISSUE-44198: fixes some eclipse warns

---
M src-test/src/org/openbravo/test/webservice/BaseWSTest.java
M src-test/src/org/openbravo/test/webservice/JSONWebServices.java
---
(0120303)
hgbot (developer)
2020-05-26 18:56

Repository: retail/backports/3.0RR20Q1.2/org.openbravo.mobile.core
Changeset: 7e596986ebda6ed0f2698fab666fc7d23d0d1eaf
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Apr 13 08:50:07 2020 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR20Q1.2/org.openbravo.mobile.core/rev/7e596986ebda6ed0f2698fab666fc7d23d0d1eaf [^]

Related to ISSUE-44198: fixes some eclipse warns

---
M src/org/openbravo/mobile/core/servercontroller/MobileServerRequestExecutor.java
---
(0120304)
hgbot (developer)
2020-05-26 18:57

Repository: retail/backports/3.0RR20Q1.2/org.openbravo.retail.posterminal
Changeset: a2d70a8a192826c741a7905d719dca7239c9e6ba
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 09 12:53:33 2020 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR20Q1.2/org.openbravo.retail.posterminal/rev/a2d70a8a192826c741a7905d719dca7239c9e6ba [^]

Related to ISSUE-44198: fixes some eclipse warns

---
M src/org/openbravo/retail/posterminal/master/ProductProperty.java
M src/org/openbravo/retail/posterminal/process/HasDeliveryServices.java
---
(0120334)
alostale (developer)
2020-05-27 09:51

reviewed
(0120363)
hgbot (developer)
2020-05-27 15:22

Repository: erp/backports/3.0PR20Q1.2
Changeset: c4e5d101500c7dbd7863ee47dd791fbcfd3ba7a9
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed May 27 15:22:20 2020 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR20Q1.2/rev/c4e5d101500c7dbd7863ee47dd791fbcfd3ba7a9 [^]

Related to ISSUE-44198: Fix missing eclipse warning

---
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/test/CompressionTest.java
---

- Issue History
Date Modified Username Field Change
2020-05-26 17:52 cberner Type defect => backport
2020-05-26 17:52 cberner Target Version => 3.0PR20Q2.1
2020-05-26 17:53 cberner Assigned To alostale => cberner
2020-05-26 18:56 hgbot Checkin
2020-05-26 18:56 hgbot Note Added: 0120302
2020-05-26 18:56 hgbot Status scheduled => resolved
2020-05-26 18:56 hgbot Resolution open => fixed
2020-05-26 18:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.service.integration.magento.core/rev/00e2e7697d7aa77e9f6861ce54b2407b8168ca89 [^] => http://code.openbravo.com/erp/backports/3.0PR20Q1.2/rev/fe938830224a08925717b6f71dc86a5e4c082e15 [^]
2020-05-26 18:56 hgbot Checkin
2020-05-26 18:56 hgbot Note Added: 0120303
2020-05-26 18:57 hgbot Checkin
2020-05-26 18:57 hgbot Note Added: 0120304
2020-05-26 18:59 cberner Target Version 3.0PR20Q2.1 => 3.0PR20Q1.2
2020-05-27 08:44 ivancaceres Issue Monitored: ivancaceres
2020-05-27 09:51 alostale Review Assigned To caristu => alostale
2020-05-27 09:51 alostale Note Added: 0120334
2020-05-27 09:51 alostale Status resolved => closed
2020-05-27 09:51 alostale Fixed in Version => 3.0PR20Q1.2
2020-05-27 15:22 hgbot Checkin
2020-05-27 15:22 hgbot Note Added: 0120363


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker